• Русский
  • Триггеры [triggers.tekton.dev/v1beta1]

    triggers.tekton.dev group

    Trigger defines a mapping of an input event to parameters. This is used to extract information from events to be passed to TriggerTemplates within a Trigger.

    v1alpha1 version
    spec object

    Spec holds the desired state of the Trigger

    bindings []object required
    apiversion string

    APIVersion of the binding ref

    kind string

    Kind can only be provided if Ref is also provided. Defaults to TriggerBinding

    name string

    Name is the name of the binding param Mutually exclusive with Ref

    ref string

    Ref is a reference to a TriggerBinding kind. Mutually exclusive with Name

    value string

    Value is the value of the binding param. Can contain JSONPath Has to be pointer since "" is a valid value Required if Name is also specified.

    interceptors []object

    TriggerInterceptor provides a hook to intercept and pre-process events

    bitbucket object

    BitbucketInterceptor provides a webhook to intercept and pre-process events

    eventTypes []string
    secretRef object

    SecretRef contains the information required to reference a single secret string This is needed because the other secretRef types are not cross-namespace and do not actually contain the "SecretName" field, which allows us to access a single secret value.

    secretKey string
    secretName string
    cel object

    CELInterceptor provides a webhook to intercept and pre-process events

    filter string
    overlays []object

    CELOverlay provides a way to modify the request body using DeprecatedCEL expressions

    expression string
    key string
    github object

    Deprecated old fields below

    eventTypes []string
    secretRef object

    SecretRef contains the information required to reference a single secret string This is needed because the other secretRef types are not cross-namespace and do not actually contain the "SecretName" field, which allows us to access a single secret value.

    secretKey string
    secretName string
    gitlab object

    GitLabInterceptor provides a webhook to intercept and pre-process events

    eventTypes []string
    secretRef object

    SecretRef contains the information required to reference a single secret string This is needed because the other secretRef types are not cross-namespace and do not actually contain the "SecretName" field, which allows us to access a single secret value.

    secretKey string
    secretName string
    name string

    Optional name to identify the current interceptor configuration

    params []object

    InterceptorParams defines a key-value pair that can be passed on an interceptor

    name string required
    value required
    ref object required

    Ref refers to the Interceptor to use

    apiVersion string

    API version of the referent

    kind string

    InterceptorKind indicates the kind of the Interceptor, namespaced or cluster scoped.

    name string
    webhook object

    WebhookInterceptor refers to an old style webhook interceptor service

    header []object

    Param declares an ParamValues to use for the parameter called name.

    name string required
    value object required

    ParamValue is a type that can hold a single string or string array. Used in JSON unmarshalling so that a single JSON field can accept either an individual string or an array of strings.

    objectRef object

    ObjectRef is a reference to an object that will resolve to a cluster DNS name to use as the EventInterceptor. Either objectRef or url can be specified

    apiVersion string

    API version of the referent.

    fieldPath string

    If referring to a piece of an object instead of an entire object, this string should contain a valid JSON/Go field access statement, such as desiredState.manifest.containers[2]. For example, if the object reference is to a container within a pod, this would take on a value like: "spec.containers{name}" (where "name" refers to the name of the container that triggered the event) or if no container name is specified "spec.containers[2]" (container with index 2 in this pod). This syntax is chosen only to have some well-defined way of referencing a part of an object.

    kind string
    name string
    namespace string
    resourceVersion string
    uid string
    url string
    name string
    serviceAccountName string

    ServiceAccountName optionally associates credentials with each trigger; Unlike EventListeners, this should be scoped to the same namespace as the Trigger itself

    template object required
    apiversion string
    ref string
    spec object

    TriggerTemplateSpec holds the desired state of TriggerTemplate

    params []object

    ParamSpec defines an arbitrary named input whose value can be supplied by a Param.

    default string

    Default is the value a parameter takes if no input value via a Param is supplied.

    description string

    Description is a user-facing description of the parameter that may be used to populate a UI.

    name string required

    Name declares the name by which a parameter is referenced.

    resourcetemplates []object

    TriggerResourceTemplate describes a resource to create

    Trigger defines a mapping of an input event to parameters. This is used to extract information from events to be passed to TriggerTemplates within a Trigger.

    v1beta1 version
    spec object

    Spec holds the desired state of the Trigger

    bindings []object required
    apiversion string

    APIVersion of the binding ref

    kind string

    Kind can only be provided if Ref is also provided. Defaults to TriggerBinding

    name string

    Name is the name of the binding param Mutually exclusive with Ref

    ref string

    Ref is a reference to a TriggerBinding kind. Mutually exclusive with Name

    value string

    Value is the value of the binding param. Can contain JSONPath Has to be pointer since "" is a valid value Required if Name is also specified.

    interceptors []object

    TriggerInterceptor provides a hook to intercept and pre-process events

    name string

    Optional name to identify the current interceptor configuration

    params []object

    InterceptorParams defines a key-value pair that can be passed on an interceptor

    name string required
    value required
    ref object required

    Ref refers to the Interceptor to use

    apiVersion string

    API version of the referent

    kind string

    InterceptorKind indicates the kind of the Interceptor, namespaced or cluster scoped.

    name string
    webhook object

    WebhookInterceptor refers to an old style webhook interceptor service

    header []object

    Param declares an ParamValues to use for the parameter called name.

    name string required
    value object required

    ParamValue is a type that can hold a single string or string array. Used in JSON unmarshalling so that a single JSON field can accept either an individual string or an array of strings.

    objectRef object

    ObjectRef is a reference to an object that will resolve to a cluster DNS name to use as the EventInterceptor. Either objectRef or url can be specified

    apiVersion string

    API version of the referent.

    fieldPath string

    If referring to a piece of an object instead of an entire object, this string should contain a valid JSON/Go field access statement, such as desiredState.manifest.containers[2]. For example, if the object reference is to a container within a pod, this would take on a value like: "spec.containers{name}" (where "name" refers to the name of the container that triggered the event) or if no container name is specified "spec.containers[2]" (container with index 2 in this pod). This syntax is chosen only to have some well-defined way of referencing a part of an object.

    kind string
    name string
    namespace string
    resourceVersion string
    uid string
    url string
    name string
    serviceAccountName string

    ServiceAccountName optionally associates credentials with each trigger; Unlike EventListeners, this should be scoped to the same namespace as the Trigger itself

    template object required
    apiversion string
    ref string
    spec object

    TriggerTemplateSpec holds the desired state of TriggerTemplate

    params []object

    ParamSpec defines an arbitrary named input whose value can be supplied by a Param.

    default string

    Default is the value a parameter takes if no input value via a Param is supplied.

    description string

    Description is a user-facing description of the parameter that may be used to populate a UI.

    name string required

    Name declares the name by which a parameter is referenced.

    resourcetemplates []object

    TriggerResourceTemplate describes a resource to create